From: Hans Zandbelt <hans.zandbelt@zmartzone.eu>
Date: Tue, 23 Aug 2022 14:34:00 +0200
Subject: add oidc_util_strcasestr

Signed-off-by: Hans Zandbelt <hans.zandbelt@zmartzone.eu>
Origin: https://github.com/zmartzone/mod_auth_openidc/commit/1c808c58d407576a438800f0bc11ffe55ee8837a
---
 src/util.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/src/util.c b/src/util.c
index 40dcc2c..e50e87f 100644
--- a/src/util.c
+++ b/src/util.c
@@ -449,6 +449,24 @@ char* oidc_util_javascript_escape(apr_pool_t *pool, const char *s) {
     return output;
 }
 
+static char* oidc_util_strcasestr(const char *s1, const char *s2) {
+	const char *s = s1;
+	const char *p = s2;
+	do {
+		if (!*p)
+			return (char*) s1;
+		if ((*p == *s) || (tolower(*p) == tolower(*s))) {
+			++p;
+			++s;
+		} else {
+			p = s2;
+			if (!*s)
+				return NULL;
+			s = ++s1;
+		}
+	} while (1);
+	return *p ? NULL : (char*) s1;
+}
 
 /*
  * get the URL scheme that is currently being accessed
